Update an intent
curl --request PATCH \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Book Appointment",
"key": "<string>",
"description": "<string>",
"recommendation_actions": "<string>",
"confidence_threshold": 0.7,
"intent_llm_handle_by_response": true,
"webhook": {
"url": "<string>",
"auth_token": "<string>"
},
"parameters": [
{
"key": "email",
"default": "<string>",
"type": "string",
"required": true
}
]
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid}"
payload = {
"name": "Book Appointment",
"key": "<string>",
"description": "<string>",
"recommendation_actions": "<string>",
"confidence_threshold": 0.7,
"intent_llm_handle_by_response": True,
"webhook": {
"url": "<string>",
"auth_token": "<string>"
},
"parameters": [
{
"key": "email",
"default": "<string>",
"type": "string",
"required": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Book Appointment',
key: '<string>',
description: '<string>',
recommendation_actions: '<string>',
confidence_threshold: 0.7,
intent_llm_handle_by_response: true,
webhook: {url: '<string>', auth_token: '<string>'},
parameters: [{key: 'email', default: '<string>', type: 'string', required: true}]
})
};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"intent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"recommendation_actions": "<string>",
"confidence_threshold": 123,
"is_system": true,
"intent_llm_handle_by_response": true,
"webhook": {
"url": "<string>",
"auth_token": "<string>"
},
"parameters": [
{
"key": "email",
"default": "<string>",
"type": "string",
"required": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Agents
Update an intent
Updates a custom intent. Use this to change trigger wording, confidence threshold, webhook target, response handling, or collected parameters. If parameters is included, it replaces the full parameter list. System intents cannot be modified.
PATCH
/
api
/
v1
/
agents
/
{uuid}
/
intents
/
{intentUuid}
Update an intent
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Body
application/json
Example:
"Book Appointment"
Auto-generated from name when omitted (e.g. 'book_appointment')
When this intent should trigger
Example:
0.7
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I